MojoMojo::Formatter::YouTube(3)

  module_loaded
Return true if the module is loaded.

NAME
MojoMojo::Formatter::YouTube - Embed YouTube player

DESCRIPTION
Embed YouTube video player for given video by writing {{youtube <url>}}.

METHODS

  format_content_order
Format order can be 1-99. The YouTube formatter runs on 10.

  format_content
Calls the formatter. Takes a ref to the content as well as the context object.

  process
Do the meat of inserting a youtube movie into a wiki page.

SEE ALSO
MojoMojo, Module::Pluggable::Ordered, URI::Fetch

AUTHORS
Robert 'LiNiO' Litwiniec <linio@wonder.pl>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.